Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.text
Interface IFindReplaceTargetExtension

public interface IFindReplaceTargetExtension

Extension interface for `IFindReplaceTarget`.

Introduces the concepts of find/replace sessions, searching in a limiting scope and a replace-all mode.

If a scope is set, `findAndSelect` is limited to the scope. Occurrences outside of the scope are not considered.

Since:
  2.0

Method Summary
`void` | `beginSession()` Indicates that a session with the target begins.
`void` | `endSession()` Indicates that a session with the target ends.
`Point` | `getLineSelection()` Returns the currently selected range of lines as a offset and length.
`IRegion` | `getScope()` Returns the find scope of the target, `null` for global scope.
`void` | `setReplaceAllMode(boolean replaceAll)` Sets the target's replace-all mode.
`void` | `setScope(IRegion scope)` Sets the find scope of the target to operate on.
`void` | `setScopeHighlightColor(Color color)` Sets the scope highlight color
`void` | `setSelection(int offset, int length)` Sets a selection.

Method Detail

### beginSession

    public void beginSession()

  Indicates that a session with the target begins. All calls except `beginSession()` and `endSession()` to `IFindReplaceTarget` and `IFindReplaceTargetExtension` must be embedded within calls to `beginSession()` and `endSession()`.

  See Also:
    `endSession()`

### endSession

    public void endSession()

  Indicates that a session with the target ends.

  See Also:
    `beginSession()`

### getScope

    public IRegion getScope()

  Returns the find scope of the target, `null` for global scope.

  Returns:
    returns the find scope of the target, may be `null`

### setScope

    public void setScope(IRegion scope)

  Sets the find scope of the target to operate on. `null` indicates that the global scope should be used.

  Parameters:
    `scope` - the find scope of the target, may be `null`

### getLineSelection

    public Point getLineSelection()

  Returns the currently selected range of lines as a offset and length.

  Returns:
    the currently selected line range

### setSelection

    public void setSelection(int offset,
                             int length)

  Sets a selection.

  Parameters:
    `offset` - the offset of the selection
    `length` - the length of the selection

### setScopeHighlightColor

    public void setScopeHighlightColor(Color color)

  Sets the scope highlight color

  Parameters:
    `color` - the color of the scope highlight

### setReplaceAllMode

    public void setReplaceAllMode(boolean replaceAll)

  Sets the target's replace-all mode.

  Parameters:
    `replaceAll` - `true` if this target should switch into replace-all mode, `false` if it should leave the replace-all state

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.